# getByType

inline fun <T : Any> ExtensionContainer.getByType(type: KClass<T>): T
inline fun <T : Any> ExtensionContainer.getByType(type: KClass<T>): T

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.plugins.ExtensionContainer.getByType.

#### See also

ExtensionContainer.getByType

inline fun <T : Any> ExtensionContainer.getByType(): T

Looks for the extension of a given type.

#### Return

the extension

#### Since

5.0

#### Parameters

T

the extension type

#### See also

ExtensionContainer.getByType

#### Throws

UnknownDomainObjectException

when no matching extension can be found